package ru.indvdum.mywork.openjpa.model;

import javax.persistence.Embeddable;

/**
 * @author indvdum
 * 17.08.2011 15:00:35
 *
 */
@Embeddable
public class WorkId{
	
	public Integer dayId;
	public Integer taskId;
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof WorkId))
			return false;
		final WorkId other = (WorkId) obj;
		return (
				this.dayId == other.dayId 
				&& this.taskId == other.taskId 
				|| (
						this.dayId != null 
						&& this.dayId.equals(other.dayId) 
						&& this.taskId != null 
						&& this.taskId.equals(other.taskId)
						)
				);
	}

	@Override
	public int hashCode() {
		return dayId ^ taskId;
	}

}
